Calculates NT and LM hashes.

The important functions are lmhash($password) and nthash($password).

package | modules

### Methods

## doHash()

    doHash(array $in, array $key, boolean $forw) : array

### Parameters

#### $in

`array`

#### $key

`array`

#### $forw

`boolean`

### Returns

`array`

## Calculates the LM hash of a given password.

    lmhash(string $password) : string

### Parameters

#### $password

`string`

password

### Returns

`string`hash value

## Calculates the NT hash of a given password.

    nthash(string $password) : string

### Parameters

#### $password

`string`

password

### Returns

`string`hash value

## E_P16

    E_P16(\unknown_type $in) : \unknown

### Parameters

#### $in

`\unknown_type`

### Returns

`\unknown`

## lshift()

    lshift(integer $count, array $data) : array

### Parameters

#### $count

`integer`

count

#### $data

`array`

### Returns

`array`

## mxor()

    mxor(array $in1, array $in2) : array

### Parameters

#### $in1

`array`

#### $in2

`array`

### Returns

`array`

## permute()

    permute(array $in, array $p, $n) : array

### Parameters

#### $in

`array`

in input data

#### $p

`array`

p permutation

#### $n

### Returns

`array`

## smb_hash

    smb_hash(\unknown_type $in, \unknown_type $key, \unknown_type $forw) : \unknown

### Parameters

#### $in

`\unknown_type`

#### $key

`\unknown_type`

#### $forw

`\unknown_type`

### Returns

`\unknown`

## str_to_key

    str_to_key(string $str) : string

### Parameters

#### $str

`string`

### Returns

`string`key

## Unsigned shift operation for 32bit values.

    unsigned_shift_r($a, $b)

PHP 4 only supports signed shifts by default.

### Parameters

#### $a

#### $b

## Fixes too large numbers

    x($i)

### Parameters

#### $i

### Properties

## $perm1

    $perm1

## $perm2

    $perm2

## $perm3

    $perm3

## $perm4

    $perm4

## $perm5

    $perm5

## $perm6

    $perm6

## $sbox

    $sbox

## $sc

    $sc

Calculates NT and LM hashes.

The important functions are lmhash($password) and nthash($password).

package | lam

### Methods

## doHash()

    doHash(array $in, array $key, boolean $forw) : array

### Parameters

#### $in

`array`

#### $key

`array`

#### $forw

`boolean`

### Returns

`array`

## Calculates the LM hash of a given password.

    lmhash(string $password) : string

### Parameters

#### $password

`string`

password

### Returns

`string`hash value

## Calculates the NT hash of a given password.

    nthash(string $password) : string

### Parameters

#### $password

`string`

password

### Returns

`string`hash value

## E_P16

    E_P16(\unknown_type $in) : \unknown

### Parameters

#### $in

`\unknown_type`

### Returns

`\unknown`

## lshift()

    lshift(integer $count, array $data) : array

### Parameters

#### $count

`integer`

count

#### $data

`array`

### Returns

`array`

## mxor()

    mxor(array $in1, array $in2) : array

### Parameters

#### $in1

`array`

#### $in2

`array`

### Returns

`array`

## permute()

    permute(array $in, array $p, $n) : array

### Parameters

#### $in

`array`

in input data

#### $p

`array`

p permutation

#### $n

### Returns

`array`

## smb_hash

    smb_hash(\unknown_type $in, \unknown_type $key, \unknown_type $forw) : \unknown

### Parameters

#### $in

`\unknown_type`

#### $key

`\unknown_type`

#### $forw

`\unknown_type`

### Returns

`\unknown`

## str_to_key

    str_to_key(string $str) : string

### Parameters

#### $str

`string`

### Returns

`string`key

## Unsigned shift operation for 32bit values.

    unsigned_shift_r($a, $b)

PHP 4 only supports signed shifts by default.

### Parameters

#### $a

#### $b

## Fixes too large numbers

    x($i)

### Parameters

#### $i

### Properties

## $perm1

    $perm1

## $perm2

    $perm2

## $perm3

    $perm3

## $perm4

    $perm4

## $perm5

    $perm5

## $perm6

    $perm6

## $sbox

    $sbox

## $sc

    $sc